Installation PAC on FreeBSD

BlackThunder

New Member


Messages: 3

#3
Hello,

I'm trying to get PAC (https://sites.google.com/site/davidtv/) running on FreeBSD atm at the moment. (I know this is an old thread).

Before making a port I tried to get it running right from the package but I failed loading the dependencies. I get the following error:

Code:
> ./pac
Can't locate OSSP/uuid.pm in @INC (@INC contains: /usr/home/pactest/PAC/all/pac/lib
 /usr/home/pactest/PAC/all/pac/lib/ex /usr/home/pactest/PAC/all/pac/lib/edit
 /usr/local/lib/perl5/5.12.4/BSDPAN /usr/local/lib/perl5/site_perl/5.12.4/mach
 /usr/local/lib/perl5/site_perl/5.12.4 /usr/local/lib/perl5/5.12.4/mach /usr/local/lib/perl5/5.12.4 .) at
 /usr/home/pactest/PAC/all/pac/lib/PACMain.pm line 39.
BEGIN failed--compilation aborted at /usr/home/pactest/PAC/all/pac/lib/PACMain.pm line 39.
Compilation failed in require at ./pac line 39.
BEGIN failed--compilation aborted at ./pac line 39.
I have misc/ossp-uuid and devel/p5-App-Info installed. The last one installs /usr/local/lib/perl5/site_perl/5.12.4/App/Info/Lib/OSSPUUID.pm.

The relevant part of PACMain.pm is:
Code:
# Import Modules

use FindBin qw ( $RealBin $Bin $Script );
my $REALBIN = $RealBin;
use lib $RealBin . '/lib', $RealBin . '/lib/ex';

# Standard
use strict;
use warnings;
use YAML qw ( LoadFile DumpFile );
use Storable qw ( thaw dclone nstore retrieve );
use Encode;
use File::Copy;
use Net::Ping;
use OSSP::uuid;
use POSIX ":sys_wait_h";
use POSIX qw ( strftime );
Any hints what's going wrong here?
 

BlackThunder

New Member


Messages: 3

#4
Today i can report some progress on my attempts to create a working port of PAC. I was very short of time so I went not very far. But I realized that devel/p5-App-Info was the completely wrong direction I went to. What PAC really depends on are the perl bindings of misc/ossp-uuid. These can be built using the WITH_PERL KNOB.

But building misc/ossp-uuid with make -DWITH_PERL build failed. In the PR database I found that I'm not the only one with this problem. In PR ports/168940 you can see the output leading to the error. I tried to fix this and submitted my patches to this PR, too.

Going on with installing all the missing dependencies I stumbled upon the Perl Module Gnome2::Vte for which currently no port exists.

Before posting about my problems creating a new port x11-toolkits/p5-Gnome2-Vte please tell me if i should create a new thread for this one or just put it in this thread, too, since it's a required dependency for PAC.
 

BlackThunder

New Member


Messages: 3

#5
There's more progress to write about now. misc/ossp-uuid had to be patched one more time, so that it passes all tests. I haven't submitted the patch yet, but will do so soon.

The port for x11-toolkits/p5-Gnome2-Vte seems to work as expected and will be submitted soon, too. At first I tried to create the port using ports-mgmt/p5-App-Pm2Port but that didn't work for some currently unknown reason. I will put some further investigations into this later.

I got PAC working on FreeBSD now out of the archive after some patching and I'm currently working on the Makefile for the port. As mentioned before, PAC needs OSSP::uuid.pm. But what is the right way to check if misc/ossp-uuid was built with WITH_PERL=yes? And how can I tell the ports system to build the dependency with this KNOB set the right way? Is this even possible at all? Or do I have to create a new port misc/p5-OSSP-uuid containing only the perl part?
 

Dereckson

Member

Thanks: 16
Messages: 64

#6
Hello,

You have to ask vd@FreeBSD.org, as it's the misc/ossp-uuid maintainer which solution he prefers. I personally would advocate to create a p5-OSSP-uuid port, but you must see with vd@, as FreeBSD rules request you respect previous port maintainers work.
 
Top